com.thinkaurelius.titan.graphdb.types.system

## Class EmptyRelationType

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.system.EmptyVertex
  - - com.thinkaurelius.titan.graphdb.types.system.EmptyRelationType

- All Implemented Interfaces:
    Idfiable, Namifiable, RelationType, TitanSchemaElement, TitanSchemaType, TitanElement, TitanVertex, InternalElement, InternalRelationType, InternalVertex, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex
  Direct Known Subclasses:
    BaseRelationType, ImplicitKey

      public abstract class EmptyRelationType
      extends EmptyVertex
      implements InternalRelationType

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyRelationType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalRelationType` | `getBaseType()`
    `Iterable<IndexType>` | `getKeyIndexes()`
    `Iterable<InternalRelationType>` | `getRelationIndexes()`
    `long[]` | `getSignature()`
    `long[]` | `getSortKey()`
    `Order` | `getSortOrder()`
    `SchemaStatus` | `getStatus()`
    `Integer` | `getTTL()`
    `boolean` | `isHidden()` Whether this element is hidden and should only be returned to queries that explicitly ask for hidden elements.

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.system.EmptyVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, addRelation, getAddedRelations, getEdgeCount, getEdges, getEdges, getId, getLabel, getLifeCycle, getLongId, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertices, hasAddedRelations, hasId, hasLoadedRelations, hasRemovedRelations, isConnected, isLoaded, isModified, isNew, isRemoved, it, loadRelations, query, remove, removeProperty, removeProperty, removeRelation, setId, setProperty, setProperty, tx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelationType

      `getConsistencyModifier, getMultiplicity, isHiddenType, isUnidirected`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.RelationType

      `isEdgeLabel, isPropertyKey`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalVertex

      `addRelation, getAddedRelations, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, it, loadRelations, query, removeRelation`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, setId, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

- - ### Constructor Detail

    - #### EmptyRelationType

          public EmptyRelationType()

  - ### Method Detail

    - #### isHidden

          public boolean isHidden()

      Description copied from interface: `InternalElement`
      Whether this element is hidden and should only be returned to queries that explicitly ask for hidden elements.
      Specified by:
        `isHidden` in interface `InternalElement`
      Overrides:
        `isHidden` in class `EmptyVertex`
      Returns:

    - #### getSignature

          public long[] getSignature()

      Specified by:
        `getSignature` in interface `InternalRelationType`

    - #### getSortKey

          public long[] getSortKey()

      Specified by:
        `getSortKey` in interface `InternalRelationType`

    - #### getSortOrder

          public Order getSortOrder()

      Specified by:
        `getSortOrder` in interface `InternalRelationType`

    - #### getBaseType

          public InternalRelationType getBaseType()

      Specified by:
        `getBaseType` in interface `InternalRelationType`

    - #### getRelationIndexes

          public Iterable<InternalRelationType> getRelationIndexes()

      Specified by:
        `getRelationIndexes` in interface `InternalRelationType`

    - #### getStatus

          public SchemaStatus getStatus()

      Specified by:
        `getStatus` in interface `InternalRelationType`

    - #### getKeyIndexes

          public Iterable<IndexType> getKeyIndexes()

      Specified by:
        `getKeyIndexes` in interface `InternalRelationType`

    - #### getTTL

          public Integer getTTL()

      Specified by:
        `getTTL` in interface `InternalRelationType`

Copyright © 2012–2014. All rights reserved.